Subject: Re: [elpa] elpa-admin 1d766451f8: Suggest `package-install' to install packages (bug#63800)

From: Ihor Radchenko <[email-masked]>
Date: Thu, 13 Jul 2023 19:00:30 +0000

Stefan Monnier <[email-masked]> writes:

>>>> package-upgrade is not available in any of the released Emacs
>>>> versions.  Do note that some people still use ELPA to install
>>>> packages for Emacs 26.
>>> But for those, the instructions have been wrong for years anyway, so I'm
>>> not too worried :-)
>> Last time I checked, M-x package-install worked for me in Emacs 26 for
>> non-core packages.
>
> And still does and so we can keep using it for non-core packages.
> This discussion is only relevant for core packages.
> AFAIK `package-install` has never been able to upgrade a core package,
> right, so the instructions have been wrong for years in this regard.

We agree here.

But then I read your first message as if keeping things broken is not a
big deal? I feel confused.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>